Bug 133319 - [GTK] Adds implementation of subtle crypto digest algorithms
Summary: [GTK] Adds implementation of subtle crypto digest algorithms
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 133316 133317
Blocks: 133122
  Show dependency treegraph
 
Reported: 2014-05-27 12:16 PDT by Eduardo Lima Mitev
Modified: 2014-09-23 08:18 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.38 KB, patch)
2014-05-27 12:17 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (3.41 KB, patch)
2014-05-28 03:35 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (5.07 KB, patch)
2014-08-12 03:43 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (5.40 KB, patch)
2014-08-13 03:10 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff
Patch (5.41 KB, patch)
2014-09-23 07:25 PDT, Eduardo Lima Mitev
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eduardo Lima Mitev 2014-05-27 12:16:52 PDT
[GTK] Adds implementation of subtle crypto digest algorithms
Comment 1 Eduardo Lima Mitev 2014-05-27 12:17:29 PDT
Created attachment 232143 [details]
Patch
Comment 2 Eduardo Lima Mitev 2014-05-27 12:31:47 PDT
Adding dependency on bug 133316 and bug 133317.
Comment 3 Eduardo Lima Mitev 2014-05-28 03:35:47 PDT
Created attachment 232187 [details]
Patch
Comment 4 Eduardo Lima Mitev 2014-08-12 03:43:23 PDT
Created attachment 236437 [details]
Patch
Comment 5 WebKit Commit Bot 2014-08-12 03:45:00 PDT
Attachment 236437 [details] did not pass style-queue:


ERROR: Source/WebCore/crypto/gtk/CryptoDigestGtk.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Eduardo Lima Mitev 2014-08-12 03:47:52 PDT
(In reply to comment #5)
> Attachment 236437 [details] did not pass style-queue:
> 
> 
> ERROR: Source/WebCore/crypto/gtk/CryptoDigestGtk.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
> Total errors found: 1 in 4 files
> 

This is an unavoidable positive:

#include <gnutls/gnutls.h>
#include <gnutls/crypto.h>

Order is alphabetically wrong, but the order cannot be inverted since crypto.h needs gnutls.h included before.
Comment 7 Eduardo Lima Mitev 2014-08-13 03:10:09 PDT
Created attachment 236509 [details]
Patch
Comment 8 WebKit Commit Bot 2014-08-13 03:11:35 PDT
Attachment 236509 [details] did not pass style-queue:


ERROR: Source/WebCore/crypto/gtk/CryptoDigestGtk.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Philippe Normand 2014-09-22 02:22:53 PDT
Comment on attachment 236509 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=236509&action=review

> Source/WebCore/crypto/gtk/CryptoDigestGtk.cpp:53
> +    gnutls_digest_algorithm_t gnutlsAlgo;

gnutlsAlgorithm please :)
Comment 10 Eduardo Lima Mitev 2014-09-23 07:25:10 PDT
Created attachment 238538 [details]
Patch
Comment 11 WebKit Commit Bot 2014-09-23 07:28:33 PDT
Attachment 238538 [details] did not pass style-queue:


ERROR: Source/WebCore/crypto/gtk/CryptoDigestGtk.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 WebKit Commit Bot 2014-09-23 08:17:59 PDT
Comment on attachment 238538 [details]
Patch

Clearing flags on attachment: 238538

Committed r173872: <http://trac.webkit.org/changeset/173872>
Comment 13 WebKit Commit Bot 2014-09-23 08:18:03 PDT
All reviewed patches have been landed.  Closing bug.